AmigaOS on the Vampire

To get the most out of your Vampire Standalone, the recommended OS is AROS.

The Vampire is compatible with all AmigaOS versions intended for 68k Amigas, from 1.1 to 3.9. Of course, to get the most modern features and maximum compatibility with Vampire components, you should use the latest version, which is 3.9. If you do not have access to 3.9, you could try 3.5, 3.1.4 or 3.1 as well.

In classic Amigas, the bootstrap firmware (Kickstart) is stored in ROM. The Kickstart contains many core components of AmigaOS, such as the kernel, the windowing environment, basic DOS functionality and critical drivers. Its purpose is to initialize the hardware and boot from disk. Because the Kickstart is stored in ROM, its functionality is available immediately at power-on, without having to load anything from disk. If the user needs any AmigaOS components that are not included in the Kickstart, then they need to be loaded from disk.

The Vampire uses this same approach and optimizes it even further. On Vampire boards, a flash memory location in the Core is reserved for a Kickstart ROM. In addition, at power-on, the Kickstart in the Core is copied into Fast RAM automatically. Then, using the MMU, the Kickstart's new memory region is protected against writes, and is mapped to the memory region of the real Kickstart ROM chip. Now, thanks to the speed of this RAM, accessing Kickstart functions is much, much faster compared to a Kickstart that remains in ROM.

If you have a Vampire accelerator board connected to a classic Amiga, the Kickstart ROM chip on the Amiga is no longer used, and so, can be removed.
  • In a Vampire Standalone, by default, the Core contains an AROS Kickstart ROM.
  • In a Vampire accelerator board connected to a classic Amiga, by default, the Core contains a licensed Kickstart 3.10 ROM.

If you want to use a different Kickstart, please see Installing Kickstarts.

If your boot partition is not within the first 4 GB of the hard disk, then you need to use a Kickstart that contains an updated scsi.device. Kickstart 3.1.4 and Cloanto's Kickstart 3.X contain such an updated scsi.device.

You are here: start » os » amigaos

Last modified: le 2020/03/12 12:28